> ## Documentation Index
> Fetch the complete documentation index at: https://docs.habitdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fields

> Lists all available data fields and their information, ordered by field id ascending. Fields can be filtered by ID and source.



## OpenAPI

````yaml GET /fields/
openapi: 3.0.0
info:
  title: Habit Dash API
  description: User health data can be retrieved with an API key.
  termsOfService: https://habitdash.com/legal/tos/
  contact:
    email: contact@habitdash.com
  version: v1
servers:
  - url: https://api.habitdash.com/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /fields/:
    get:
      tags:
        - fields
      summary: Lists all available data fields
      description: >-
        Lists all available data fields and their information, ordered by field
        id ascending. Fields can be filtered by ID and source.
      operationId: fields_list
      parameters:
        - name: page
          in: query
          description: A page number within the paginated result set.
          required: false
          schema:
            type: integer
        - name: field_id
          in: query
          description: Filter by field ID.
          required: false
          schema:
            type: string
        - name: source
          in: query
          description: >-
            Filter by source. Available options: `apple`, `cronometer`,
            `fitbit`, `freestyle_libre`, `garmin`, `oura`, `polar`, `strava`,
            `withings`, `whoop`
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                required:
                  - count
                  - results
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/ApiDataField'
components:
  schemas:
    ApiDataField:
      required:
        - field_id
        - field_name
        - source
      type: object
      properties:
        field_id:
          title: Field id
          type: integer
        field_name:
          title: Field name
          type: string
          minLength: 1
        source:
          title: Source
          type: string
          maxLength: 50
          minLength: 1
        category1:
          title: Category1
          type: string
          maxLength: 100
          minLength: 1
          nullable: true
        category2:
          title: Category2
          type: string
          maxLength: 100
          minLength: 1
          nullable: true
        unit_tooltip:
          title: Unit tooltip
          type: string
          maxLength: 100
          minLength: 1
          nullable: true
        unit_dashboard:
          title: Unit dashboard
          type: string
          maxLength: 100
          minLength: 1
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-KEY
      in: header

````